/*
 * 
 * PrefsSecurity
 * 
 * 
 * (C) Alvaro Cortes. 2007. alvarocortesc@gmail.com
 * 
 * 
 * Contiene alguna rutinas utilizadas por ConfiguracionForm para los niveles
 * de autorizacion
 * 
 */

using System;
using System.Data;
using MySql.Data.MySqlClient;

namespace FormulacionMagistral
{
	/// <summary>
	/// Description of PrefsSecurity.
	/// </summary>
	public class PrefsSecurity
	{
		
		/// <summary>
		/// Establece un nuevo nivel de seguridad para una accion determinada
		/// </summary>
		/// <param name="strconn">Cadena de conexion</param>
		/// <param name="actionid">ID de la accion</param>
		/// <param name="levelid">Nivel</param>
		/// <returns></returns>
		public static bool set_security_level(string strconn, string actionid, string levelid){
		MySqlCommand MyCmd;
		MySqlConnection conexion;

		try{
		
		conexion = new MySqlConnection(strconn);
		conexion.Open();
		MyCmd = new MySqlCommand("UPDATE levels Set LevelID = " + levelid + " WHERE ActionID = " + actionid + ";",conexion);
		MyCmd.ExecuteNonQuery();
		conexion.Close();
		return true;
		}catch(MySqlException e){
			FM_Errores.MostrarError("set_security_level","Error relacionado con la base de datos",e);
			return false;
		}catch(Exception err){
			FM_Errores.MostrarError("set_security_level","Error modificando permisos de seguridad",err);
			return false;
		}
		}

		
		
	}
}
