/*
 * 
 * ConfiguracionForm
 * 
 * (C) 2006,2007 Alvaro Cortes. alvarocortesc@gmail.com
 * 
 * 
 */

using System;
using System.Drawing;
using System.Windows.Forms;

namespace FormulacionMagistral
{
	/// <summary>
	/// Description of ConfiguracionForm.
	/// </summary>
	public class ConfiguracionForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.ComboBox cmbModulo;
		private System.Windows.Forms.Button btnGuardarDB;
		private System.Windows.Forms.Label lblCiento;
		private System.Windows.Forms.GroupBox grpNiveles;
		private System.Windows.Forms.TabPage tabImpresion;
		private System.Windows.Forms.ComboBox cmbNivel;
		private System.Windows.Forms.TextBox txtAnnus;
		private System.Windows.Forms.Label lblPort;
		private System.Windows.Forms.TextBox txtProvincia;
		private System.Windows.Forms.Label lblFactorP;
		private System.Windows.Forms.TextBox txtIVA;
		private System.Windows.Forms.Label lblDescription3;
		private System.Windows.Forms.Label lblUser;
		private System.Windows.Forms.TextBox txtHost;
		private System.Windows.Forms.TabPage tabGestion;
		private System.Windows.Forms.Label lblPasswd;
		private System.Windows.Forms.CheckBox chkNullPass;
		private System.Windows.Forms.TabPage tabGeneral;
		private System.Windows.Forms.Label lblIVA;
		private System.Windows.Forms.TextBox txtPort;
		private System.Windows.Forms.TextBox txtSrvLdo;
		private System.Windows.Forms.Button btnCerrar;
		private System.Windows.Forms.TabPage tabMySQL;
		private System.Windows.Forms.Label lblSrvComents;
		private System.Windows.Forms.TextBox txtSrvComents;
		private System.Windows.Forms.Label lblModulo;
		private System.Windows.Forms.Label lblAnnus;
		private System.Windows.Forms.Label lblNivel;
		private System.Windows.Forms.Label lblSrvLdo;
		private System.Windows.Forms.GroupBox grpDispensacion;
		private System.Windows.Forms.CheckBox chkDefaultPort;
		private System.Windows.Forms.ComboBox cmbAcceso;
		private System.Windows.Forms.Label lblHost;
		private System.Windows.Forms.Button btnGuardarGestion;
		private System.Windows.Forms.TabPage tabSeguridad;
		private System.Windows.Forms.Button btnTest;
		private System.Windows.Forms.Label lblAcceso;
		private System.Windows.Forms.TextBox txtSrvDireccion;
		private System.Windows.Forms.TextBox txtFactorP;
		private System.Windows.Forms.TextBox txtUser;
		private System.Windows.Forms.Label lblSrvTipoServicio;
		private System.Windows.Forms.TabControl tabConfiguracion;
		private System.Windows.Forms.Button btnActualizar;
		private System.Windows.Forms.Button btnSrvGuardar;
		private System.Windows.Forms.TextBox txtPasswd;
		private System.Windows.Forms.TextBox txtSrvNombre;
		private System.Windows.Forms.TextBox txtSrvTipoServicio;
		private System.Windows.Forms.Label lblSrvDireccion;
		private System.Windows.Forms.Label lblProvincia;
		private System.Windows.Forms.Label lblSrvNombre;
		
		private Formulacion.PreferenciasDB DBPrefs;
		private Formulacion.PreferenciasServicio SrvPrefs;
		private Formulacion.PreferenciasGestion GstPrefs;
		
		/// <summary>
		/// Inicia el formulario
		/// </summary>
		public ConfiguracionForm()
		{
			//
			// The InitializeComponent() call is required for Windows Forms designer support.
			//
			//
			
			// Preferencias clases
			//
			this.DBPrefs = new Formulacion.PreferenciasDB();
			this.DBPrefs.AsignarNmbFichero("PrefDataBase.xml");
			
			this.SrvPrefs = new Formulacion.PreferenciasServicio();
			this.SrvPrefs.AsignarNmbFichero("PrefServicio.xml");
			
			this.GstPrefs = new Formulacion.PreferenciasGestion();
			this.GstPrefs.AsignarNmbFichero("PrefGestion.xml");
			
			InitializeComponent();
			
		}
		
		#region Windows Forms Designer generated code
		/// <summary>
		/// This method is required for Windows Forms designer support.
		/// Do not change the method contents inside the source code editor. The Forms designer might
		/// not be able to load this method if it was changed manually.
		/// </summary>
		private void InitializeComponent() {
			this.lblSrvNombre = new System.Windows.Forms.Label();
			this.lblProvincia = new System.Windows.Forms.Label();
			this.lblSrvDireccion = new System.Windows.Forms.Label();
			this.txtSrvTipoServicio = new System.Windows.Forms.TextBox();
			this.txtSrvNombre = new System.Windows.Forms.TextBox();
			this.txtPasswd = new System.Windows.Forms.TextBox();
			this.btnSrvGuardar = new System.Windows.Forms.Button();
			this.btnActualizar = new System.Windows.Forms.Button();
			this.tabConfiguracion = new System.Windows.Forms.TabControl();
			this.lblSrvTipoServicio = new System.Windows.Forms.Label();
			this.txtUser = new System.Windows.Forms.TextBox();
			this.txtFactorP = new System.Windows.Forms.TextBox();
			this.txtSrvDireccion = new System.Windows.Forms.TextBox();
			this.lblAcceso = new System.Windows.Forms.Label();
			this.btnTest = new System.Windows.Forms.Button();
			this.tabSeguridad = new System.Windows.Forms.TabPage();
			this.btnGuardarGestion = new System.Windows.Forms.Button();
			this.lblHost = new System.Windows.Forms.Label();
			this.cmbAcceso = new System.Windows.Forms.ComboBox();
			this.chkDefaultPort = new System.Windows.Forms.CheckBox();
			this.grpDispensacion = new System.Windows.Forms.GroupBox();
			this.lblSrvLdo = new System.Windows.Forms.Label();
			this.lblNivel = new System.Windows.Forms.Label();
			this.lblAnnus = new System.Windows.Forms.Label();
			this.lblModulo = new System.Windows.Forms.Label();
			this.txtSrvComents = new System.Windows.Forms.TextBox();
			this.lblSrvComents = new System.Windows.Forms.Label();
			this.tabMySQL = new System.Windows.Forms.TabPage();
			this.btnCerrar = new System.Windows.Forms.Button();
			this.txtSrvLdo = new System.Windows.Forms.TextBox();
			this.txtPort = new System.Windows.Forms.TextBox();
			this.lblIVA = new System.Windows.Forms.Label();
			this.tabGeneral = new System.Windows.Forms.TabPage();
			this.chkNullPass = new System.Windows.Forms.CheckBox();
			this.lblPasswd = new System.Windows.Forms.Label();
			this.tabGestion = new System.Windows.Forms.TabPage();
			this.txtHost = new System.Windows.Forms.TextBox();
			this.lblUser = new System.Windows.Forms.Label();
			this.lblDescription3 = new System.Windows.Forms.Label();
			this.txtIVA = new System.Windows.Forms.TextBox();
			this.lblFactorP = new System.Windows.Forms.Label();
			this.txtProvincia = new System.Windows.Forms.TextBox();
			this.lblPort = new System.Windows.Forms.Label();
			this.txtAnnus = new System.Windows.Forms.TextBox();
			this.cmbNivel = new System.Windows.Forms.ComboBox();
			this.tabImpresion = new System.Windows.Forms.TabPage();
			this.grpNiveles = new System.Windows.Forms.GroupBox();
			this.lblCiento = new System.Windows.Forms.Label();
			this.btnGuardarDB = new System.Windows.Forms.Button();
			this.cmbModulo = new System.Windows.Forms.ComboBox();
			this.tabConfiguracion.SuspendLayout();
			this.tabSeguridad.SuspendLayout();
			this.grpDispensacion.SuspendLayout();
			this.tabMySQL.SuspendLayout();
			this.tabGeneral.SuspendLayout();
			this.tabGestion.SuspendLayout();
			this.grpNiveles.SuspendLayout();
			this.SuspendLayout();
			// 
			// lblSrvNombre
			// 
			this.lblSrvNombre.Location = new System.Drawing.Point(16, 24);
			this.lblSrvNombre.Name = "lblSrvNombre";
			this.lblSrvNombre.Size = new System.Drawing.Size(112, 16);
			this.lblSrvNombre.TabIndex = 0;
			this.lblSrvNombre.Text = "Nombre del serivicio";
			// 
			// lblProvincia
			// 
			this.lblProvincia.Location = new System.Drawing.Point(16, 120);
			this.lblProvincia.Name = "lblProvincia";
			this.lblProvincia.Size = new System.Drawing.Size(104, 16);
			this.lblProvincia.TabIndex = 6;
			this.lblProvincia.Text = "Provincia";
			// 
			// lblSrvDireccion
			// 
			this.lblSrvDireccion.Location = new System.Drawing.Point(16, 64);
			this.lblSrvDireccion.Name = "lblSrvDireccion";
			this.lblSrvDireccion.Size = new System.Drawing.Size(104, 16);
			this.lblSrvDireccion.TabIndex = 1;
			this.lblSrvDireccion.Text = "Direccin";
			// 
			// txtSrvTipoServicio
			// 
			this.txtSrvTipoServicio.Location = new System.Drawing.Point(144, 152);
			this.txtSrvTipoServicio.Name = "txtSrvTipoServicio";
			this.txtSrvTipoServicio.Size = new System.Drawing.Size(232, 20);
			this.txtSrvTipoServicio.TabIndex = 8;
			this.txtSrvTipoServicio.Text = "";
			// 
			// txtSrvNombre
			// 
			this.txtSrvNombre.Location = new System.Drawing.Point(144, 24);
			this.txtSrvNombre.Name = "txtSrvNombre";
			this.txtSrvNombre.Size = new System.Drawing.Size(232, 20);
			this.txtSrvNombre.TabIndex = 5;
			this.txtSrvNombre.Text = "";
			// 
			// txtPasswd
			// 
			this.txtPasswd.Location = new System.Drawing.Point(152, 128);
			this.txtPasswd.Name = "txtPasswd";
			this.txtPasswd.Size = new System.Drawing.Size(96, 20);
			this.txtPasswd.TabIndex = 5;
			this.txtPasswd.Text = "";
			// 
			// btnSrvGuardar
			// 
			this.btnSrvGuardar.Location = new System.Drawing.Point(136, 264);
			this.btnSrvGuardar.Name = "btnSrvGuardar";
			this.btnSrvGuardar.Size = new System.Drawing.Size(128, 24);
			this.btnSrvGuardar.TabIndex = 10;
			this.btnSrvGuardar.Text = "Guardar";
			this.btnSrvGuardar.Click += new System.EventHandler(this.BtnSrvGuardarClick);
			// 
			// btnActualizar
			// 
			this.btnActualizar.Location = new System.Drawing.Point(112, 224);
			this.btnActualizar.Name = "btnActualizar";
			this.btnActualizar.Size = new System.Drawing.Size(112, 24);
			this.btnActualizar.TabIndex = 7;
			this.btnActualizar.Text = "Establecer";
			this.btnActualizar.Click += new System.EventHandler(this.BtnActualizarClick);
			// 
			// tabConfiguracion
			// 
			this.tabConfiguracion.Controls.Add(this.tabGeneral);
			this.tabConfiguracion.Controls.Add(this.tabMySQL);
			this.tabConfiguracion.Controls.Add(this.tabImpresion);
			this.tabConfiguracion.Controls.Add(this.tabGestion);
			this.tabConfiguracion.Controls.Add(this.tabSeguridad);
			this.tabConfiguracion.Location = new System.Drawing.Point(8, 8);
			this.tabConfiguracion.Name = "tabConfiguracion";
			this.tabConfiguracion.SelectedIndex = 0;
			this.tabConfiguracion.Size = new System.Drawing.Size(392, 320);
			this.tabConfiguracion.TabIndex = 0;
			// 
			// lblSrvTipoServicio
			// 
			this.lblSrvTipoServicio.Location = new System.Drawing.Point(16, 160);
			this.lblSrvTipoServicio.Name = "lblSrvTipoServicio";
			this.lblSrvTipoServicio.Size = new System.Drawing.Size(128, 16);
			this.lblSrvTipoServicio.TabIndex = 3;
			this.lblSrvTipoServicio.Text = "Tipo Servicio";
			// 
			// txtUser
			// 
			this.txtUser.Location = new System.Drawing.Point(152, 96);
			this.txtUser.Name = "txtUser";
			this.txtUser.Size = new System.Drawing.Size(96, 20);
			this.txtUser.TabIndex = 4;
			this.txtUser.Text = "";
			// 
			// txtFactorP
			// 
			this.txtFactorP.Location = new System.Drawing.Point(136, 32);
			this.txtFactorP.Name = "txtFactorP";
			this.txtFactorP.Size = new System.Drawing.Size(144, 20);
			this.txtFactorP.TabIndex = 1;
			this.txtFactorP.Text = "";
			// 
			// txtSrvDireccion
			// 
			this.txtSrvDireccion.Location = new System.Drawing.Point(144, 56);
			this.txtSrvDireccion.Multiline = true;
			this.txtSrvDireccion.Name = "txtSrvDireccion";
			this.txtSrvDireccion.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.txtSrvDireccion.Size = new System.Drawing.Size(232, 48);
			this.txtSrvDireccion.TabIndex = 6;
			this.txtSrvDireccion.Text = "";
			// 
			// lblAcceso
			// 
			this.lblAcceso.Location = new System.Drawing.Point(16, 96);
			this.lblAcceso.Name = "lblAcceso";
			this.lblAcceso.Size = new System.Drawing.Size(88, 24);
			this.lblAcceso.TabIndex = 2;
			this.lblAcceso.Text = "Acceso";
			// 
			// btnTest
			// 
			this.btnTest.Location = new System.Drawing.Point(160, 168);
			this.btnTest.Name = "btnTest";
			this.btnTest.Size = new System.Drawing.Size(72, 24);
			this.btnTest.TabIndex = 6;
			this.btnTest.Text = "Probar";
			this.btnTest.Click += new System.EventHandler(this.BtnTestClick);
			// 
			// tabSeguridad
			// 
			this.tabSeguridad.Controls.Add(this.grpNiveles);
			this.tabSeguridad.Location = new System.Drawing.Point(4, 22);
			this.tabSeguridad.Name = "tabSeguridad";
			this.tabSeguridad.Size = new System.Drawing.Size(384, 294);
			this.tabSeguridad.TabIndex = 4;
			this.tabSeguridad.Text = "Seguridad";
			// 
			// btnGuardarGestion
			// 
			this.btnGuardarGestion.Location = new System.Drawing.Point(112, 216);
			this.btnGuardarGestion.Name = "btnGuardarGestion";
			this.btnGuardarGestion.Size = new System.Drawing.Size(136, 24);
			this.btnGuardarGestion.TabIndex = 5;
			this.btnGuardarGestion.Text = "Guardar";
			this.btnGuardarGestion.Click += new System.EventHandler(this.BtnGuardarGestionClick);
			// 
			// lblHost
			// 
			this.lblHost.AutoSize = true;
			this.lblHost.Location = new System.Drawing.Point(72, 32);
			this.lblHost.Name = "lblHost";
			this.lblHost.Size = new System.Drawing.Size(55, 16);
			this.lblHost.TabIndex = 8;
			this.lblHost.Text = "Direccin:";
			// 
			// cmbAcceso
			// 
			this.cmbAcceso.Items.AddRange(new object[] {
						"Borrar",
						"Aadir",
						"Modificar",
						"Ver / Imprimir"});
			this.cmbAcceso.Location = new System.Drawing.Point(128, 88);
			this.cmbAcceso.Name = "cmbAcceso";
			this.cmbAcceso.Size = new System.Drawing.Size(160, 21);
			this.cmbAcceso.TabIndex = 3;
			// 
			// chkDefaultPort
			// 
			this.chkDefaultPort.Location = new System.Drawing.Point(256, 64);
			this.chkDefaultPort.Name = "chkDefaultPort";
			this.chkDefaultPort.Size = new System.Drawing.Size(88, 16);
			this.chkDefaultPort.TabIndex = 13;
			this.chkDefaultPort.Text = "Por defecto";
			this.chkDefaultPort.CheckedChanged += new System.EventHandler(this.ChkDefaultPortCheckedChanged);
			// 
			// grpDispensacion
			// 
			this.grpDispensacion.Controls.Add(this.txtAnnus);
			this.grpDispensacion.Controls.Add(this.txtProvincia);
			this.grpDispensacion.Controls.Add(this.lblAnnus);
			this.grpDispensacion.Controls.Add(this.lblProvincia);
			this.grpDispensacion.Controls.Add(this.btnGuardarGestion);
			this.grpDispensacion.Controls.Add(this.lblCiento);
			this.grpDispensacion.Controls.Add(this.txtIVA);
			this.grpDispensacion.Controls.Add(this.lblIVA);
			this.grpDispensacion.Controls.Add(this.txtFactorP);
			this.grpDispensacion.Controls.Add(this.lblFactorP);
			this.grpDispensacion.Location = new System.Drawing.Point(16, 16);
			this.grpDispensacion.Name = "grpDispensacion";
			this.grpDispensacion.Size = new System.Drawing.Size(344, 256);
			this.grpDispensacion.TabIndex = 0;
			this.grpDispensacion.TabStop = false;
			this.grpDispensacion.Text = "Disepensacin";
			// 
			// lblSrvLdo
			// 
			this.lblSrvLdo.Location = new System.Drawing.Point(16, 120);
			this.lblSrvLdo.Name = "lblSrvLdo";
			this.lblSrvLdo.Size = new System.Drawing.Size(120, 16);
			this.lblSrvLdo.TabIndex = 2;
			this.lblSrvLdo.Text = "Licenciado ";
			// 
			// lblNivel
			// 
			this.lblNivel.Location = new System.Drawing.Point(16, 136);
			this.lblNivel.Name = "lblNivel";
			this.lblNivel.Size = new System.Drawing.Size(80, 24);
			this.lblNivel.TabIndex = 4;
			this.lblNivel.Text = "Nivel minimo";
			// 
			// lblAnnus
			// 
			this.lblAnnus.Location = new System.Drawing.Point(16, 168);
			this.lblAnnus.Name = "lblAnnus";
			this.lblAnnus.Size = new System.Drawing.Size(112, 16);
			this.lblAnnus.TabIndex = 7;
			this.lblAnnus.Text = "Ao";
			// 
			// lblModulo
			// 
			this.lblModulo.Location = new System.Drawing.Point(16, 56);
			this.lblModulo.Name = "lblModulo";
			this.lblModulo.Size = new System.Drawing.Size(88, 24);
			this.lblModulo.TabIndex = 1;
			this.lblModulo.Text = "Modulo";
			// 
			// txtSrvComents
			// 
			this.txtSrvComents.Location = new System.Drawing.Point(144, 192);
			this.txtSrvComents.Multiline = true;
			this.txtSrvComents.Name = "txtSrvComents";
			this.txtSrvComents.Size = new System.Drawing.Size(232, 56);
			this.txtSrvComents.TabIndex = 9;
			this.txtSrvComents.Text = "";
			// 
			// lblSrvComents
			// 
			this.lblSrvComents.Location = new System.Drawing.Point(16, 192);
			this.lblSrvComents.Name = "lblSrvComents";
			this.lblSrvComents.Size = new System.Drawing.Size(128, 24);
			this.lblSrvComents.TabIndex = 4;
			this.lblSrvComents.Text = "Comentarios";
			// 
			// tabMySQL
			// 
			this.tabMySQL.Controls.Add(this.btnGuardarDB);
			this.tabMySQL.Controls.Add(this.chkDefaultPort);
			this.tabMySQL.Controls.Add(this.chkNullPass);
			this.tabMySQL.Controls.Add(this.lblPasswd);
			this.tabMySQL.Controls.Add(this.lblUser);
			this.tabMySQL.Controls.Add(this.lblPort);
			this.tabMySQL.Controls.Add(this.lblHost);
			this.tabMySQL.Controls.Add(this.txtPort);
			this.tabMySQL.Controls.Add(this.btnTest);
			this.tabMySQL.Controls.Add(this.txtPasswd);
			this.tabMySQL.Controls.Add(this.txtUser);
			this.tabMySQL.Controls.Add(this.txtHost);
			this.tabMySQL.Location = new System.Drawing.Point(4, 22);
			this.tabMySQL.Name = "tabMySQL";
			this.tabMySQL.Size = new System.Drawing.Size(384, 294);
			this.tabMySQL.TabIndex = 1;
			this.tabMySQL.Text = "Motor MySQL";
			// 
			// btnCerrar
			// 
			this.btnCerrar.Location = new System.Drawing.Point(168, 336);
			this.btnCerrar.Name = "btnCerrar";
			this.btnCerrar.Size = new System.Drawing.Size(88, 24);
			this.btnCerrar.TabIndex = 2;
			this.btnCerrar.Text = "Cerrar";
			this.btnCerrar.Click += new System.EventHandler(this.BtnCerrarClick);
			// 
			// txtSrvLdo
			// 
			this.txtSrvLdo.Location = new System.Drawing.Point(144, 120);
			this.txtSrvLdo.Name = "txtSrvLdo";
			this.txtSrvLdo.Size = new System.Drawing.Size(232, 20);
			this.txtSrvLdo.TabIndex = 7;
			this.txtSrvLdo.Text = "";
			// 
			// txtPort
			// 
			this.txtPort.Location = new System.Drawing.Point(152, 64);
			this.txtPort.Name = "txtPort";
			this.txtPort.Size = new System.Drawing.Size(96, 20);
			this.txtPort.TabIndex = 7;
			this.txtPort.Text = "";
			// 
			// lblIVA
			// 
			this.lblIVA.Location = new System.Drawing.Point(16, 72);
			this.lblIVA.Name = "lblIVA";
			this.lblIVA.Size = new System.Drawing.Size(104, 24);
			this.lblIVA.TabIndex = 2;
			this.lblIVA.Text = "IVA";
			// 
			// tabGeneral
			// 
			this.tabGeneral.Controls.Add(this.btnSrvGuardar);
			this.tabGeneral.Controls.Add(this.txtSrvComents);
			this.tabGeneral.Controls.Add(this.txtSrvTipoServicio);
			this.tabGeneral.Controls.Add(this.txtSrvLdo);
			this.tabGeneral.Controls.Add(this.txtSrvDireccion);
			this.tabGeneral.Controls.Add(this.txtSrvNombre);
			this.tabGeneral.Controls.Add(this.lblSrvComents);
			this.tabGeneral.Controls.Add(this.lblSrvTipoServicio);
			this.tabGeneral.Controls.Add(this.lblSrvLdo);
			this.tabGeneral.Controls.Add(this.lblSrvDireccion);
			this.tabGeneral.Controls.Add(this.lblSrvNombre);
			this.tabGeneral.Location = new System.Drawing.Point(4, 22);
			this.tabGeneral.Name = "tabGeneral";
			this.tabGeneral.Size = new System.Drawing.Size(384, 294);
			this.tabGeneral.TabIndex = 0;
			this.tabGeneral.Text = "General";
			// 
			// chkNullPass
			// 
			this.chkNullPass.Location = new System.Drawing.Point(256, 128);
			this.chkNullPass.Name = "chkNullPass";
			this.chkNullPass.Size = new System.Drawing.Size(104, 16);
			this.chkNullPass.TabIndex = 12;
			this.chkNullPass.Text = "Sin contrasea";
			this.chkNullPass.CheckedChanged += new System.EventHandler(this.chkNullPass_CheckedChange);
			// 
			// lblPasswd
			// 
			this.lblPasswd.Location = new System.Drawing.Point(72, 128);
			this.lblPasswd.Name = "lblPasswd";
			this.lblPasswd.Size = new System.Drawing.Size(64, 16);
			this.lblPasswd.TabIndex = 11;
			this.lblPasswd.Text = "Contrasea:";
			// 
			// tabGestion
			// 
			this.tabGestion.Controls.Add(this.grpDispensacion);
			this.tabGestion.Location = new System.Drawing.Point(4, 22);
			this.tabGestion.Name = "tabGestion";
			this.tabGestion.Size = new System.Drawing.Size(384, 294);
			this.tabGestion.TabIndex = 3;
			this.tabGestion.Text = "Gestin";
			// 
			// txtHost
			// 
			this.txtHost.Location = new System.Drawing.Point(152, 32);
			this.txtHost.Name = "txtHost";
			this.txtHost.Size = new System.Drawing.Size(96, 20);
			this.txtHost.TabIndex = 2;
			this.txtHost.Text = "";
			// 
			// lblUser
			// 
			this.lblUser.Location = new System.Drawing.Point(72, 96);
			this.lblUser.Name = "lblUser";
			this.lblUser.Size = new System.Drawing.Size(56, 16);
			this.lblUser.TabIndex = 10;
			this.lblUser.Text = "Usuario";
			// 
			// lblDescription3
			// 
			this.lblDescription3.Location = new System.Drawing.Point(48, 168);
			this.lblDescription3.Name = "lblDescription3";
			this.lblDescription3.Size = new System.Drawing.Size(256, 40);
			this.lblDescription3.TabIndex = 6;
			this.lblDescription3.Text = "Describe el nivel de usuario mnimo para el nivel de acceso al modulo seleccionad" +
"o";
			// 
			// txtIVA
			// 
			this.txtIVA.Location = new System.Drawing.Point(136, 72);
			this.txtIVA.Name = "txtIVA";
			this.txtIVA.Size = new System.Drawing.Size(144, 20);
			this.txtIVA.TabIndex = 3;
			this.txtIVA.Text = "";
			// 
			// lblFactorP
			// 
			this.lblFactorP.Location = new System.Drawing.Point(16, 32);
			this.lblFactorP.Name = "lblFactorP";
			this.lblFactorP.Size = new System.Drawing.Size(104, 16);
			this.lblFactorP.TabIndex = 0;
			this.lblFactorP.Text = "Factor P";
			// 
			// txtProvincia
			// 
			this.txtProvincia.Location = new System.Drawing.Point(136, 112);
			this.txtProvincia.Name = "txtProvincia";
			this.txtProvincia.Size = new System.Drawing.Size(144, 20);
			this.txtProvincia.TabIndex = 8;
			this.txtProvincia.Text = "";
			// 
			// lblPort
			// 
			this.lblPort.Location = new System.Drawing.Point(72, 64);
			this.lblPort.Name = "lblPort";
			this.lblPort.Size = new System.Drawing.Size(56, 16);
			this.lblPort.TabIndex = 9;
			this.lblPort.Text = "Puerto:";
			// 
			// txtAnnus
			// 
			this.txtAnnus.Location = new System.Drawing.Point(136, 160);
			this.txtAnnus.Name = "txtAnnus";
			this.txtAnnus.Size = new System.Drawing.Size(144, 20);
			this.txtAnnus.TabIndex = 9;
			this.txtAnnus.Text = "";
			// 
			// cmbNivel
			// 
			this.cmbNivel.Items.AddRange(new object[] {
						"Usuario Limitado",
						"Usuario Backup",
						"Usuario Avanzado",
						"Administrador"});
			this.cmbNivel.Location = new System.Drawing.Point(128, 136);
			this.cmbNivel.Name = "cmbNivel";
			this.cmbNivel.Size = new System.Drawing.Size(160, 21);
			this.cmbNivel.TabIndex = 5;
			// 
			// tabImpresion
			// 
			this.tabImpresion.Location = new System.Drawing.Point(4, 22);
			this.tabImpresion.Name = "tabImpresion";
			this.tabImpresion.Size = new System.Drawing.Size(384, 294);
			this.tabImpresion.TabIndex = 2;
			this.tabImpresion.Text = "Impresin";
			// 
			// grpNiveles
			// 
			this.grpNiveles.Controls.Add(this.btnActualizar);
			this.grpNiveles.Controls.Add(this.lblDescription3);
			this.grpNiveles.Controls.Add(this.cmbNivel);
			this.grpNiveles.Controls.Add(this.lblNivel);
			this.grpNiveles.Controls.Add(this.cmbAcceso);
			this.grpNiveles.Controls.Add(this.lblAcceso);
			this.grpNiveles.Controls.Add(this.lblModulo);
			this.grpNiveles.Controls.Add(this.cmbModulo);
			this.grpNiveles.Location = new System.Drawing.Point(24, 16);
			this.grpNiveles.Name = "grpNiveles";
			this.grpNiveles.Size = new System.Drawing.Size(336, 264);
			this.grpNiveles.TabIndex = 0;
			this.grpNiveles.TabStop = false;
			this.grpNiveles.Text = "Niveles de control";
			// 
			// lblCiento
			// 
			this.lblCiento.Location = new System.Drawing.Point(288, 72);
			this.lblCiento.Name = "lblCiento";
			this.lblCiento.Size = new System.Drawing.Size(40, 24);
			this.lblCiento.TabIndex = 4;
			this.lblCiento.Text = "%";
			// 
			// btnGuardarDB
			// 
			this.btnGuardarDB.Location = new System.Drawing.Point(136, 256);
			this.btnGuardarDB.Name = "btnGuardarDB";
			this.btnGuardarDB.Size = new System.Drawing.Size(136, 24);
			this.btnGuardarDB.TabIndex = 14;
			this.btnGuardarDB.Text = "&Guardar";
			this.btnGuardarDB.Click += new System.EventHandler(this.BtnGuardarClick);
			// 
			// cmbModulo
			// 
			this.cmbModulo.Items.AddRange(new object[] {
						"Materias Primas",
						"Proveedores",
						"Pacientes",
						"Facultativos",
						"Personal",
						"Control calidad",
						"Material de acondicionamiento",
						"Aceptaciones",
						"Alertas de seguridad",
						"Envases",
						"Formulas",
						"Registro de Materias primas"});
			this.cmbModulo.Location = new System.Drawing.Point(128, 56);
			this.cmbModulo.Name = "cmbModulo";
			this.cmbModulo.Size = new System.Drawing.Size(160, 21);
			this.cmbModulo.TabIndex = 0;
			// 
			// ConfiguracionForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(418, 370);
			this.Controls.Add(this.btnCerrar);
			this.Controls.Add(this.tabConfiguracion);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedToolWindow;
			this.Name = "ConfiguracionForm";
			this.Text = "Configuracin";
			this.Load += new System.EventHandler(this.ConfiguracionFormLoad);
			this.tabConfiguracion.ResumeLayout(false);
			this.tabSeguridad.ResumeLayout(false);
			this.grpDispensacion.ResumeLayout(false);
			this.tabMySQL.ResumeLayout(false);
			this.tabGeneral.ResumeLayout(false);
			this.tabGestion.ResumeLayout(false);
			this.grpNiveles.ResumeLayout(false);
			this.ResumeLayout(false);
		}
		#endregion
		void ConfiguracionFormLoad(object sender, System.EventArgs e)
		{
			CargarConfiguracion();
		}
		
		
		
		void chkNullPass_CheckedChange(object sender, System.EventArgs e)
		{
			if( chkNullPass.Checked ){
				this.txtPasswd.Enabled = false;
				this.txtPasswd.Clear();
			}
			else
				this.txtPasswd.Enabled = true;
		}
		
		
		void BtnTestClick(object sender, System.EventArgs e)
		{
			Formulacion.TestDBConnection testDB1 = new Formulacion.TestDBConnection();
			testDB1.setConnectionParameters(this.txtHost.Text, this.txtPort.Text, this.txtUser.Text , this.txtPasswd.Text , "formulacion" );
			
	
	if( testDB1.testConnection() )
		MessageBox.Show("Se ha podido establecer una conexin con la informacin dada","Test de Conexin");
	
	else
		MessageBox.Show("No ha sido posible establecer una conexin vlida","Test de Conexin");
	

		}
		
		private void CargarConfiguracion(){
			string[] prf;
			
			// Carga parte de configuracion de Base de datos
			if ( this.DBPrefs.LeerFichero() )
			{
				prf = this.DBPrefs.CargarPreferenciasDB();
				
				for( int i = 0; i < prf.Length; ++i)
				{
					switch(i){
						case 0: this.txtHost.Text = prf[0]; break;
						case 1: this.txtPort.Text = prf[1]; break;
						case 3: this.txtUser.Text = prf[2]; break;
						case 4: this.txtPasswd.Text = prf[3]; break;
					
					}
				}
				this.DBPrefs.CerrarEntrada();
			}
				
			// Fin de la carga de configuracion de la base de datos	
			
			
			// Carga de la configuracion del servicio
			if ( this.SrvPrefs.LeerFichero() )
			{
				prf = this.SrvPrefs.CargarPreferenciasServicio();
				
				for( int i = 0; i < prf.Length; ++i)
				{
					switch(i){
						case 0: this.txtSrvNombre.Text = prf[0]; break;
						case 1: this.txtSrvDireccion.Text = prf[1]; break;
						case 2: this.txtSrvLdo.Text = prf[2]; break;
						case 3: this.txtSrvTipoServicio.Text = prf[3]; break;
						case 4: this.txtSrvComents.Text = prf[4]; break;
					
					}
				}
				this.SrvPrefs.CerrarEntrada();

			}

			// Carga de la configuracion de gestion
			if ( this.GstPrefs.LeerFichero() )
			{
				prf = this.GstPrefs.CargarPreferenciasGestion();
				
				for( int i = 0; i < prf.Length; ++i)
				{
					switch(i){
						case 0: this.txtFactorP.Text = prf[0]; break;
						case 1: this.txtIVA.Text = prf[1]; break;
						case 2: this.txtProvincia.Text = prf[2]; break;
						case 3: this.txtAnnus.Text = prf[3]; break;
					}
				}
				this.GstPrefs.CerrarEntrada();

			}

				
		}
		
		
		void BtnGuardarClick(object sender, System.EventArgs e)
		{
			DBPrefs.CrearFichero();
			DBPrefs.GuardarPreferenciasDB(this.txtHost.Text,this.txtPort.Text,this.txtUser.Text,this.txtPasswd.Text,"formulacion");
			DBPrefs.CerrarFichero();
			FM_Errores.MostrarAviso("Informacion","Se han guardado correctamente las preferencias de la base de datos");
		}
		
		void BtnSrvGuardarClick(object sender, System.EventArgs e)
		{
			SrvPrefs.CrearFichero();
			SrvPrefs.GuardarPreferenciasServicio(this.txtSrvNombre.Text,this.txtSrvDireccion.Text,this.txtSrvLdo.Text,this.txtSrvTipoServicio.Text,this.txtSrvComents.Text);
			SrvPrefs.CerrarFichero();
			FM_Errores.MostrarAviso("Informacion","Se han guardado correctamente las preferencias del servicio");
		}
		
		void BtnCerrarClick(object sender, System.EventArgs e)
		{
			this.Close();
		}
		
		void ChkDefaultPortCheckedChanged(object sender, System.EventArgs e)
		{
			if( this.chkDefaultPort.Checked )
			{
				this.txtPort.Text = "3306";
				this.txtPort.Enabled = false;
			}else{
				this.txtPort.Enabled = true;
			}
				
			
					
		}
		
		void BtnGuardarGestionClick(object sender, System.EventArgs e)
		{
			try{
			GstPrefs.CrearFichero();
			GstPrefs.GuardarPreferenciasGestion(Convert.ToSingle(this.txtFactorP.Text),Convert.ToSingle(this.txtIVA.Text), this.txtProvincia.Text , this.txtAnnus.Text);
			GstPrefs.CerrarFichero();
			FM_Errores.MostrarAviso("Informacion","Se han guardado correctamente las preferencias de gestin");
			}catch(Exception ex){
				FM_Errores.MostrarError("GuardarGestion","No se puede guardar la informacin de gestin",ex);
			}

		}
		
		void BtnActualizarClick(object sender, System.EventArgs e)
		{
			string actionid = "";
			string levelid = "";

			string[] prf;
			
			string dbhost = "";
		    string dbport = "";
		    string dbuser = "";
		    string dbpasoteword = "";
			try{
			// Carga parte de configuracion de Base de datos
			if ( this.DBPrefs.LeerFichero() )
			{
				prf = this.DBPrefs.CargarPreferenciasDB();
				
				for( int i = 0; i < prf.Length; ++i)
				{
					switch(i){
						case 0: dbhost = prf[0]; break;
						case 1: dbport = prf[1]; break;
						case 3: dbuser = prf[2]; break;
						case 4: dbpasoteword = prf[3]; break;
					
					}
				}
				this.DBPrefs.CerrarEntrada();
			}
				
			// Fin de la carga de configuracion de la base de datos	

			
			
			if( this.cmbNivel.SelectedIndex < 0 ||this.cmbAcceso.SelectedIndex < 0 || this.cmbModulo.SelectedIndex < 0)
			{
				FM_Errores.MostrarError("Permisos de seguridad","Seleccione un nivel, un modulo y una accion validas");
				return;
			}
			actionid = (this.cmbModulo.SelectedIndex +1).ToString() + (this.cmbAcceso.SelectedIndex + 1).ToString();
			levelid = (this.cmbNivel.SelectedIndex + 1).ToString();
			
			
			if( PrefsSecurity.set_security_level("host="+dbhost+";port=" + dbport + ";user id="+dbuser+";password="+dbpasoteword+ ";database=formulacion", actionid, levelid)){
				FM_Errores.MostrarAviso("Permisos de seguridad","Se ha establecido correctamente el nuevo permiso de seguridad");
			}
			
		
		}catch(Exception ex){
			FM_Errores.MostrarError("Permisos de seguridad","No se puede establecer el nuevo permiso de seguridad",ex);
		}
		
		}
	}
}
